%global git_commit 5e797750185e61373f4ae845578d475c907ffe19
%global git_date 20140906
%global debug_package %{nil} 

%global git_short_commit %(echo %{git_commit} | cut -c -8)
%global git_suffix %{git_date}git%{git_short_commit}

Name:             gr-elster
URL:              https://github.com/argilo/gr-elster
Version:          0.1
Release:          1.%{git_suffix}%{?dist}
License:          GPLv3+
BuildRequires:    cmake, gnuradio-devel, cppunit-devel, doxygen
BuildRequires:    swig, libusbx-devel
Requires:	  gnuradio
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Group:            Applications/Communications
Summary:          GNURadio Elster Smart-Meter Block
Source0:          https://github.com/argilo/%{name}/archive/%{git_commit}/%{name}-%{git_commit}.tar.gz

%description
A GNU Radio block that decodes packets transmitted by Elster R2S smart meters

%package devel
Summary:          Development files for gr-elster
Group:            Applications/Communications
Requires:         %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for gr-elster.

A GNU Radio block that decodes packets transmitted by Elster R2S smart meters
%package doc
Summary:          Documentation files for gr-elster
Group:            Applications/Communications
Requires:         %{name} = %{version}-%{release}
BuildArch:        noarch

%description doc
Documentation files for gr-elster.

A GNU Radio block that decodes packets transmitted by Elster R2S smart meters
%prep
%setup -qn %{name}-%{git_commit}

%build
mkdir build
cd build
# used -Wl,--as-needed to fix unused-direct-shlib-dependency rpmlint warning
export LDFLAGS="-Wl,--as-needed %{?__global_ldflags}"
%cmake -DENABLE_DOXYGEN=on -DGR_PKG_DOC_DIR=%{_docdir}/%{name} ..
# parallel build is currently broken
make

%install
cd build
make install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%exclude %{_docdir}/%{name}/html
%exclude %{_docdir}/%{name}/xml
%doc docs/README.elster
%{python_sitearch}/*
%{_datadir}/gnuradio/grc/blocks/*

%files devel
%{_includedir}/elster/*.h

%files doc
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/xml

%changelog
* Fri Apr 28 2017 Brian 'redbeard' Harrington <redbeard@fedoraproject.org> - 0.1.1-5e797750
- Rebuilt for new gnuradio
